| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::Accumulators::details::MsgCounter::Data< Atomicity > Struct Template Reference

`#include <GaudiKernel/Counters.h>`

Collaboration diagram for Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >:
[legend]

## Public Member Functions
constexpr | Data (Logger const *p, unsigned long mx)
template<atomicity OtherAtomicity>
| Data (Data< OtherAtomicity > const &other)

## Public Attributes
std::conditional_t< Atomicity==atomicity::none, unsigned long, std::atomic< unsigned long > > | count = {0}
unsigned long | max = 0
Logger const * | logger = nullptr

## Detailed Description

### template<atomicity Atomicity>
struct Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >

Definition at line 813 of file Counters.h.

## Constructor & Destructor Documentation

## ◆ Data() [1/2]

template<atomicity Atomicity>

constexpr Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >::Data | ( | Logger const * | p,
|  | unsigned long | mx
| ) |  |
| inline

Definition at line 818 of file Counters.h.

818 : max{mx}, logger{p} {}
Gaudi::Accumulators::details::MsgCounter::Data::max
unsigned long max
Definition: Counters.h:815
Gaudi::Accumulators::details::MsgCounter::Data::logger
Logger const * logger
Definition: Counters.h:816

## ◆ Data() [2/2]

template<atomicity Atomicity>
template<atomicity OtherAtomicity>

Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >::Data | ( | Data< OtherAtomicity > const & | other | ) |
| inline

Definition at line 821 of file Counters.h.

821 {
822 count = other.count;
823 max = other.max;
824 logger = other.logger;
825 }
Gaudi::Accumulators::details::MsgCounter::Data::count
std::conditional_t< Atomicity==atomicity::none, unsigned long, std::atomic< unsigned long > > count
Definition: Counters.h:814
Gaudi::Accumulators::details::MsgCounter::Data::max
unsigned long max
Definition: Counters.h:815
Gaudi::Accumulators::details::MsgCounter::Data::logger
Logger const * logger
Definition: Counters.h:816

## Member Data Documentation

## ◆ count

template<atomicity Atomicity>

std::conditional_t<Atomicity == atomicity::none, unsigned long, std::atomic<unsigned long> > Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >::count = {0}

Definition at line 814 of file Counters.h.

## ◆ logger

template<atomicity Atomicity>

Logger const* Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >::logger = nullptr

Definition at line 816 of file Counters.h.

## ◆ max

template<atomicity Atomicity>

unsigned long Gaudi::Accumulators::details::MsgCounter::Data< Atomicity >::max = 0

Definition at line 815 of file Counters.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h